# ======================================================================================
#/* Copyright (c) Imagination Technologies LLC, 2014. All Rights Reserved. */
# ======================================================================================

require 'sketchup'
require 'extensions'

module ImgTecVis
  IV_EXTENSION_INSTALL_PATH = File.dirname(__FILE__)
end

Sketchup::require 'ImaginationVisualizer/iv_localization'

module ImgTecVis
  # register the extension
  ivext = SketchupExtension.new 'Visualizer', 'ImaginationVisualizer/iv_loader.rb'
  ivext.creator     = 'Imagination Technologies'
  ivext.version     = '1.3.0'
  ivext.copyright   = '2014, Imagination Technologies Inc.'
  ivext.description = ImgTecVis.TRANSLATE("Visualizer adds an interactive realistic camera window to SketchUp. " \
                      "Objects are displayed with natural lighting and the camera " \
                      "viewfinder will update automatically as you design and change your "\
                      "scene. Press the shutter button to take a photo at any time. " \
                      "To learn more, visit") + " http://getvisualizer.com/"
  Sketchup.register_extension ivext, true
end
